/*
 * Copyright 2000 by Jean-Claude Christophe <jch@oleane.net>
 *                                          <jch@bsdfr.org>
 *
 * Home page:  http://www.bsdfr.org/projects/tac_bsd/
 *
 * login.c  This file contains functions used when the user is authenticated
 */

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <ttyent.h>
#include <paths.h>

#include "tac_bsd.h"
#include "conf.h"

void
login()
{
    char *home = (char *)malloc(strlen(directory) + 1 + strlen(username)); /* +1 for the '/' */

    sprintf(home, "%s/%s", directory, username);

    setenv("HOME", home, 1);
    setenv("SHELL", shell, 1);
    setenv("TERM", term, 1);
    setenv("LOGNAME", username, 1);
    setenv("USER", username, 1);
    setenv("PATH", _PATH_DEFPATH, 1);
    
    setlogin(username);
    execlp(shell, "", 0);
}

/* from the login.c of bsd */
char *
stypeof(ttyid)
    char *ttyid;
{
    struct ttyent *t;

    return (ttyid && (t = getttynam(ttyid)) ? t->ty_type : "unknown");
}
